Summary:	A basic system library for accessing the termcap database.
Name:		libtermcap
Group:		System Environment/Libraries
License:	LGPL
Version:	2.0.8
Release:	3
Source:		ftp://metalab.unc.edu/pub/Linux/GCC/termcap-2.0.8.tar.gz
Patch00:	termcap-2.0.8-shared.patch
Patch01:	termcap-2.0.8-setuid.patch
Patch02:	termcap-2.0.8-instnoroot.patch
Patch03:	termcap-2.0.8-compat21.patch
Patch04:	termcap-2.0.8-xref.patch
Patch05:	termcap-2.0.8-fix-tc.patch
Patch06:	termcap-2.0.8-ignore-p.patch
Patch07:	termcap-buffer.patch
Patch08:	termcap-2.0.8-bufsize.patch
Patch09:	termcap-2.0.8-colon.patch
Patch10:	libtermcap-aaargh.patch
Patch11:	termcap-2.0.8-glibc22.patch
Patch12:	libtermcap-2.0.8-ia64.patch
Patch13:	termcap-116934.patch
Patch14:	termcap-2.0.8-shrink.patch
Patch15:	termcap-2.0.8-octal.patch
Requires:	/etc/termcap
BuildPrereq:	texinfo
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The libtermcap package contains a basic system library needed to
access the termcap database.  The termcap library supports easy access
to the termcap database, so that programs can output character-based
displays in a terminal-independent manner.

%files
  %defattr(0444,root,root,0555)
  %doc %{_infodir}/termcap.info*

  %attr(0555,root,root)	/%{_lib}/libtermcap.so.*

%package devel
Summary:	Development tools for the termcap database.
Group:		Development/Libraries
Requires:	libtermcap = %{version}

%description devel
This package includes the libraries and header files necessary for
developing programs which will access the termcap database.

%files devel
  %defattr(0444,root,root,0555)
  %attr(0444,root,root)	%{_includedir}/termcap.h
  %attr(0444,root,root)	%{_libdir}/libtermcap.a
  %attr(0555,root,root)	%{_libdir}/libtermcap.so

%prep
%setup -q -n termcap-%{version}
%patch00 -p1
%patch01 -p1
%patch02 -p1
%patch03 -p1
%patch04 -p1
%patch05 -p1
%patch06 -p1
%patch07 -p1
%patch08 -p1
%patch09 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1

%build
  make CFLAGS="$RPM_OPT_FLAGS -I." %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_lib}
  mkdir -p $RPM_BUILD_ROOT/%{_libdir}
  mkdir -p $RPM_BUILD_ROOT/%{_infodir}
  mkdir -p $RPM_BUILD_ROOT/%{_includedir}
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}

  install libtermcap.so.2.0.8 $RPM_BUILD_ROOT/%{_lib}
  install libtermcap.a        $RPM_BUILD_ROOT/%{_libdir}
  install termcap.h           $RPM_BUILD_ROOT/%{_includedir}
  install termcap.info*       $RPM_BUILD_ROOT/%{_infodir}

  pushd $RPM_BUILD_ROOT/%{_libdir}
    ln -s ../../%{_lib}/libtermcap.so.2.0.8 libtermcap.so
  popd

  pushd $RPM_BUILD_ROOT/%{_lib}
    ln -s libtermcap.so.2.0.8 libtermcap.so.2
  popd

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Aug 10 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.0.8, Release 3
  - Remove static references to /lib/.

* Mon Jul 25 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.0.8, Release 2
  - Bump release so APT recognizes that we are newer.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.0.8, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
